require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.SKEWERS, "skewersChicken", true);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheSpinach", true);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpCilantro", false);

SManager:AddMeal(MealType.VEGGIE, "veggie", true);
SManager:AddMeal(MealType.PASTA, "fettucine", true);
SManager:AddMeal(MealType.FISH, "fishParmesanHal", false);

SManager:AddHoneymoon(HoneymoonType.BEACH, "HMSolomonIslands", false);
SManager:AddHoneymoon(HoneymoonType.CAMP, "HMAcadia", false);
SManager:AddHoneymoon(HoneymoonType.SAFARI, "HMTanzania", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");